display {spam} | R Documentation

## Graphially Represent the Nonzero Entries

### Description

The function represents the nonzero entries in a simple bicolor plot.

### Usage

    display(x, ...)

### Arguments

`x` | matrix of class `spam` or `spam.chol.NgPeyton`.

`...` | any other arguments passed to `image.default`/`plot`.

### Details

`spam.getOption("imagesize")` determines if the sparse matrix is coerced into a matrix and the plotted with `image.default` or if the matrix is simply represented as a scatterplot with `pch="."`. The points are scaled according to `cex*spam.getOption("cex")/(nrow + ncol)`. For some devices or for non-square matrices, `cex` needs probably some adjustment.

### Author(s)

Reinhard Furrer

### See Also

`image`, `spam.options`

### Examples

    set.seed(13)

    nz <- 8
    ln <- nz
    smat <- spam(0, ln, ln)
    smat[cbind(sample(ln, nz), sample(ln, nz))] <- 1:nz

    par(mfcol=c(1,2), pty='s')
    options(spam.imagesize = 1000)
    display(smat)
    options(spam.imagesize = 10)
    display(smat)

    # very large but very sparse matrix
    nz <- 128
    ln <- nz^2
    smat <- spam(0, ln, ln)
    smat[cbind(sample(ln, nz), sample(ln, nz))] <- 1:nz

    par(mfcol=c(1, 1), pty='s')
    display(smat, cex = 100)

[Package spam version 2.2-2 Index]